> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/provisioning/api-reference/membership_profiles.md).

# Membership profiles

The membership profile object and the allowed CRUD operations on the related resource endpoint

Membership profiles enable you to define a group of [application memberships](/provisioning/api-reference/application_memberships.md) to be associated with a [membership](/provisioning/api-reference/memberships.md) so that each member of the profile is allowed to see and/or manage the related subset of [Dashboard apps](/provisioning/getting-started/applications.md).

{% hint style="warning" %}
Members that haven't an `admin` role cannot create, update, or delete membership profiles. The members of the profile can retrieve their membership profile.
{% endhint %}

## Granting access to the test environment

You can allow members of a selected profile to try the Dashboard apps with test data by setting the `test_enabled` attribute to `true` at the membership profile level. This way all the members of the profile will be able to work in the test environment for the Dashboard applications associated with the membership profile if the related application membership exists in test mode (a *live/test* toggle will be shown on the Dashboard).

{% hint style="info" %}
The `test_enabled` attribute can also be set for each single member at the [membership](/provisioning/api-reference/memberships.md#granting-access-to-the-test-environment) level. In case of conflicts, the settings of the membership profile have precedence over the ones of the single memberships.
{% endhint %}

{% hint style="warning" %}
At the moment this feature isn't available for [custom apps](/provisioning/api-reference/api_credentials.md#creating-a-custom-dashboard-app) or [webapps](/provisioning/api-reference/api_credentials.md#webapp).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/provisioning/api-reference/membership_profiles.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
